JGProgressView
-------------------
By Jonas Gessner (@JonasGessner). If you use JGProgressView in your app then please let me know :)
<p align="center">
<img src=http://j-gessner.de/general/images/JGProgressView.png>
</p>

Setup
=====
1. Add the `JGProgressView` folder to your Xcode Project

2. Add the **QuartzCore** framework to your project

3. Add `#import "JGProgressView.h"` to the files where you are using JGProgressView

Basic Usage
===========

JGProgressView is used like a normal UIProgressView with the addition of a few properties:


**BOOL indeterminate**

- Property for the indeterminate setting, default is NO, set to YES to start the indeterminate animation


**NSTimeInterval animationSpeed**

- Adjust the speed of the animation. The higher the value is, the slower the animation becomes. Default value is 0.5, negative values will be ignored


**BOOL animateToRight**

- Default value is NO, when set to YES the animation switches over to animating to the right instead of left


**BOOL useSharedImages**

- Set this property to YES when using more than 1 progress views with identical animation related-properties (bounds, progressViewStyle, animateToRight) for improved performance (ex. in several UITableViewCells)
- DO NOT set this property to YES on more than 1 progress views if their animation related-properties (bounds, progressViewStyle, animateToRight) are different for each view.


###Additional Functionality

`beginUpdates`

`endUpdates`

when changing multiple properties that affect the animation related-properties (frame, progressViewStyle, animateToRight) in one code block, use beginUpdates before applying these changes and endUpdates after applying the changes to increase performance




###Short demonstration:

	JGProgressView *progressView = [[JGProgressView alloc] initWithFrame:CGRectMake(100, 100, 200, 11)];
	[self.view addSubview:progressView];
	progressView.useSharedImages = NO;
	progressView.animateToRight = YES;
	progressView.animationSpeed = 1.5f;
	progressView.indeterminate = YES;


__*Important note if your project doesn't use ARC*: you must add the `-fobjc-arc` compiler flag to `JGProgressView.m` in Target Settings > Build Phases > Compile Sources.__


License
=====

Copyright © 2012-2013 Jonas Gessner

JGProgressView is available under the <a href="http://opensource.org/licenses/Python-2.0">Python 2.0 license</a>
